// Listing 2: Klasse IOTBinaryItem
package inxire.ecmsdk.beans;
import oracle.ifs.beans.LibrarySession;
import oracle.ifs.common.AttributeValue;
import oracle.ifs.common.IfsException;
import oracle.ifs.core.tools.script.test.overrides.activity.
smarthome.StateChangeAction;
public class IOTBinaryItem extends IOTItem
{
/**
* The name of the ClassObject representing this class.
*/
public static final String CLASS_NAME = "IOTBINARYITEM";
/**
* The name of the attribute that holds the state of this IOTItem.
*/
public static final String STATE_ATTRIBUTE = "STATE";
/**
* Constructor for preparing to create new instance.
*/
public IOTBinaryItem(
LibrarySession session,
Integer nodeId,
IOTItem gateway,
String manufacturer,
String product)
{
super(session, nodeId, gateway, manufacturer, product, CLASS_NAME);
}
/**
* Sets the state this instance defines.
*
* @param state the new state
*
* @throws IfsException if operation fails
*/
public void setState(Boolean state) throws IfsException
{
setAttribute(STATE_ATTRIBUTE, AttributeValue.newAttributeValue(state));
}
/**
* Gets the state this instance defines.
*
* @return the current state
*
* @throws IfsException if operation fails
*/
public Boolean getState() throws IfsException
{
LibrarySession session = getSession();
AttributeValue av = getAttribute(STATE_ATTRIBUTE);
return av.getBoolean(session);
}
/**
* Executes an action to reflect a state change of an IOTBinaryItem
*
* @param state the new state
*
* @throws IfsException if operation fails
*/
public void executeStateChangeAction(Boolean state) throws IfsException
{
LibrarySession session = getSession();
String specName = StateChangeAction.DEFAULT_ACTIONSPECIFICATION_NAME;
StateChangeAction action = (StateChangeAction)
StateChangeAction.getInstance(session, specName);
action.setNewState(state);
action.execute(this);
}
}

