// Listing 7: Uebersicht mit Regelberuecksichtigung erzeugen
public void showIOTItemActivity(LibrarySession session, Integer nodeId)
throws IfsException
{
IOTItem iotItem = findIOTItemByNodeId(session, nodeId);
if (iotItem == null)
{
throw new IfsException(85001);
}
ActivityRecord ar = iotItem.getActivityRecord();
ActionSelector sel = new ActionSelector(ar);
Action[] actions = sel.selectActions();
int length = (actions == null) ? 0 : actions.length;
if (length > 0)
{
log("Aktivitäten für IOTItem '" + iotItem.getProduct() + "' der Firma '" + iotItem.
getManufacturer() + "'.");
log("Es wurden insgesamt " + length + " Aktionen am IOTItem mit der NodeId "
+ nodeId + " ausgeführt.\n");
for (Action action : actions)
{
ActionAdapter adapter = (ActionAdapter) action;
log("Aktion vom Typ : " + adapter.getClass().getName());
log(" Statusänderung nach : " + adapter.getStateChange());
log(" Aktion am : " + adapter.getExecutionDate());
log(" Akteur : " + adapter.getActor().getName());
}
}
}


